Bug 453308 - SELinux is preventing ptrace from accessing the network
SELinux is preventing ptrace from accessing the network
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-06-29 09:21 EDT by Wayne Hammond
Modified: 2008-11-17 17:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-17 17:04:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wayne Hammond 2008-06-29 09:21:35 EDT

SELinux is preventing netplugd (hotplug_t) "signal" to <Unknown> (netutils_t).

Detailed Description:

SELinux denied access requested by netplugd. It is not expected that this access
is required by netplugd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                unconfined_u:system_r:hotplug_t:s0
Target Context                unconfined_u:system_r:netutils_t:s0
Target Objects                None [ process ]
Source                        netplugd
Source Path                   /sbin/netplugd
Port                          <Unknown>
Host                          localhost.localdomain
Source RPM Packages           net-tools-1.60-87.fc9
Target RPM Packages           
Policy RPM                    selinux-policy-3.3.1-64.fc9
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain
                              #1 SMP Tue Jun 10 16:05:21 EDT 2008 x86_64 x86_64
Alert Count                   1
First Seen                    Wed 25 Jun 2008 11:13:42 PM CDT
Last Seen                     Wed 25 Jun 2008 11:13:42 PM CDT
Local ID                      8a505434-dfbc-4736-b702-8f482751a19b
Line Numbers                  

Raw Audit Messages            

host=localhost.localdomain type=AVC msg=audit(1214453622.774:153): avc:  denied
 { signal } for  pid=14929 comm="netplugd"
tcontext=unconfined_u:system_r:netutils_t:s0 tclass=process

host=localhost.localdomain type=SYSCALL msg=audit(1214453622.774:153):
arch=c000003e syscall=62 success=yes exit=0 a0=ffffac7b a1=f a2=0 a3=8 items=0
ppid=1 pid=14929 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0
fsgid=0 tty=(none) ses=1 comm="netplugd" exe="/sbin/netplugd"
subj=unconfined_u:system_r:hotplug_t:s0 key=(null)
Comment 1 Daniel Walsh 2008-06-30 13:18:19 EDT
You can allow this for now.

# audit2allow -M mypol -l -i /var/log/audit/audit.log
# semodule -i mypol.pp

Fixed in selinux-policy-3.3.1-73.fc9.noarch
Comment 2 Daniel Walsh 2008-11-17 17:04:54 EST
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.

Note You need to log in before you can comment on or make changes to this bug.